{% extends 'adminbase.html.twig' %}

{% block title %}Picture of product : {{ productVariation.product.title }}{% endblock %}

{% block body %}
<section class="row">
    <div class="col-lg-6">
        <a href="{{ path('app_product_variation_list', {id: productVariation.product.id}) }}" class="btn btn-success">Retour</a>
    </div>
    <div class="col-lg-6 text-end">
        <a href="{{ path('app_admin_productvariation_picture_new', {id: productVariation.id}) }}" class="btn btn-success">Ajouter</a>
    </div>
</section>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Path</th>
                <th>slug</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for picture in productVariation.pictures %}
            <tr>
                <td>{{ picture.id }}</td>
                <td>{{ picture.name }}</td>
                <td><img src="{{ asset('uploads/productvariation/'~ picture.path) }}" width="100"></td>
                <td>{{ picture.slug }}</td>
                <td>
                </td>
            </tr> 
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


{% endblock %}
